<?php
$file = __FILE__;
include ("inc/inc_common.php");
include ("inc/inc_connect.php");
include ("inc/inc_admincheck.php");
include ("inc/inc_getdate.php");

if ($cAdminLevel < 2)
{
    //kick out non-moderators...
    header("Location: topics.php?groupid=$groupid");
    exit;
}

include ("inc/inc_forumname.php");
$page = "Change $userid&acute;s Admin Level";
$pagelink = $file."?userid=".$userid;
include("inc/inc_setonline.php");
$title = $userid."'s Profile : Change Admin Level";
include ("inc/inc_head.php");
include ("inc/inc_body.php");
print "<center><br><br><br><br><br> <table border=1 cellpadding=0 cellspacing=0 bordercolor=\"$bordercolor\" width=\"60%\" bgcolor=\"$fgcolour\"><tr><td align=\"center\"><br><font size=$fontsize face=\"$font\" color=\"$fontcolor\">
<form action=\"setadminlevel.php\" method=\"post\">
Choose Admin Level :

<select size=\"1\" name=\"level\">
<option value=\"0\">0 - No Admin Rights</option>
<option value=\"1\">1 - Can Moderate Peoples Posts</option>";

// Make sure no-one can set admin rights higher that their own!

if ( $cAdminLevel > 1 )
{
    print "<option value=\"2\">2 - Can Edit Profiles</option>";
}

if ( $cAdminLevel > 2 )
{
    print "<option value=\"3\">3 - Can Edit More Profiles</option>";
}

if ( $cAdminLevel > 3 )
{
    print "<option value=\"4\">4 - Admin Over The GrimForum</option>";
}

if ( $cAdminLevel > 4 )
{
    print "<option value=\"5\">5 - High Admin</option>";
}

if ( $cAdminLevel > 5 )
{
    print "<option value=\"6\">6 - Back End Edmin Rights</option>";
}
?>
</select>

<input type="hidden" value="<?php print "$userid"; ?>" name="userid">
<br><br>
<input type="submit" value="Set">
<br><br></td></tr></table>
<?php
include("inc/inc_footer.php");
?>
